namespace Tests.Parsers;

public class EventDefinitionParser_Tests
{
	
    [Test]
    public void ParseTest()
    {
		var events = TestEntityHandler.GetEvents();

		Console.WriteLine($"Event, Type, Int/Pres, Team Size, Team Count, Regional");
		foreach (var @event in events)
	    {
		    Console.WriteLine($"{@event.ShortName}, {@event.EventFormat}, {@event.Eligibility}, {@event.Description}, {@event.InterviewOrPresentation}, {@event.TeamSize}, {@event.ChapterEligibilityCountState}, {@event.InterviewOrPresentation}, {@event.RegionalEvent}");
	    }

		foreach (var @event in events)
		{
			Console.WriteLine($"{@event.ShortName}");
		}
		Assert.Pass();
	}
}